﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.UltraChart.Shared.Styles;
using System.Data;
using System.ComponentModel;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RenderChart();
    }

    private void RenderChart()
    {
        this.UltraChart1.Legend.Visible = true;
        this.UltraChart1.Data.SwapRowsAndColumns = true;
        this.UltraChart1.LineChart.TreatDateTimeAsString = false;
        this.UltraChart1.LineChart.NullHandling = NullHandling.InterpolateSimple;
        this.UltraChart1.DeploymentScenario.Scenario = Infragistics.UltraChart.Shared.Styles.ImageDeploymentScenario.FileSystem;
        this.UltraChart1.DeploymentScenario.ImageType = System.Drawing.Imaging.ImageFormat.Png;
        this.UltraChart1.DeploymentScenario.FilePath = "~/ChartImages";
        this.UltraChart1.DeploymentScenario.ImageURL = ResolveUrl("~/ChartImages/Chart_#SEQNUM(100).png");

        this.UltraChart1.Data.DataSource = GetDataSource();
        this.UltraChart1.Data.DataBind();
    }

    private DataTable GetDataSource()
    {
        var res = new DataTable();

        res.Columns.Add(new DataColumn("date", typeof(DateTime)));
        res.Columns.Add(new DataColumn("line1", typeof(Double)));
        res.Columns.Add(new DataColumn("line2", typeof(Double)));

        DataRow row1 = res.NewRow();
        row1["date"] = Convert.ToDateTime("01.01.2000");
        row1["line1"] = 40;
        row1["line2"] = 20;
        res.Rows.Add(row1);

        DataRow row2 = res.NewRow();
        row2["date"] = Convert.ToDateTime("01.01.2001");
        row2["line1"] = 30;
        row2["line2"] = 25;
        res.Rows.Add(row2);

        DataRow row3 = res.NewRow();
        row3["date"] = Convert.ToDateTime("01.01.2002");
        row3["line1"] = 10;
        row3["line2"] = 30;
        res.Rows.Add(row3);

        DataRow row4 = res.NewRow();
        row4["date"] = Convert.ToDateTime("01.06.2002");
        row4["line1"] = DBNull.Value;
        row4["line2"] = 35;
        res.Rows.Add(row4);
        
        DataRow row5 = res.NewRow();
        row5["date"] = Convert.ToDateTime("01.07.2002");
        row5["line1"] = DBNull.Value;
        row5["line2"] = 40;
        res.Rows.Add(row5);

        DataRow row6 = res.NewRow();
        row6["date"] = Convert.ToDateTime("01.08.2002");
        row6["line1"] = DBNull.Value;
        row6["line2"] = 45;
        res.Rows.Add(row6);

        DataRow row7 = res.NewRow();
        row7["date"] = Convert.ToDateTime("01.09.2002");
        row7["line1"] = DBNull.Value;
        row7["line2"] = 50;
        res.Rows.Add(row7);

        DataRow row8 = res.NewRow();
        row8["date"] = Convert.ToDateTime("01.01.2003");
        row8["line1"] = 20;
        row8["line2"] = 60;
        res.Rows.Add(row8);

        return res;
    } 
}
